Company logoTrust Center Documentation
API v1 ReferenceImportsIdCancel

Cancel an import

Cancel an import before commit. Jobs cleanup clears the import source_ref, preview_rows, review_overrides, and sensitive file Markdown. Jobs has no delete…

POST
/api/v1/imports/{id}/cancel

Cancel an import before commit. Jobs cleanup clears the import source_ref, preview_rows, review_overrides, and sensitive file Markdown. Jobs has no delete operation for Directus files, imports, or documents. Staged files remain in the private imports folder with internal access.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/imports/string/cancel"
{  "id": "string",  "state": "created",  "error": "string"}

How is this guide?